CURLOPT_INTERLEAVEDATA(3)

NAME
CURLOPT_INTERLEAVEDATA - custom pointer to RTSP interleave callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_INTERLEAVEDATA, void *pointer);

DESCRIPTION
This is the userdata pointer that will be passed to CURLOPT_INTERLEAVEFUNCTION(3) when interleaved RTP data is received.

DEFAULT
NULL

PROTOCOLS
RTSP

EXAMPLE
TODO

AVAILABILITY
Added in 7.20.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_INTERLEAVEFUNCTION(3), CURLOPT_RTSP_REQUEST(3),